Subject: Re: PC-Pine 4.05: Still new alternate editor problem

From: Nancy McGough <[email-masked]>
Date: Fri, 30 Oct 1998 14:35:04 -0500 (Eastern Standard Time)

On Wed, 23 Sep 1998, Stephen Casner wrote:
> I was so hopeful, seeing a new release come out, then my hopes were
> dashed; this problem isn't one of the ones that was fixed in 4.05:
> 
> On Tue, 22 Sep 1998, Stephen Casner wrote:
> > PC-Pine 4.04 fixed 4.03's problem of crashing when trying to invoke the
> > alternate editor.  However, 4.04 asks for the alternate editor command
> > to be entered manually rather than using the contents of the "editor"
> > variable if that variable contains any arguments in addition to the
> > command executable name.

I just got this to work in PC-Pine 4.05 by unsetting the pinerc editor
variable and setting the EDITOR *environment* variable in my
AUTOEXEC.BAT. It's weird that setting the pinerc editor variable doesn't
work -- maybe pine gets confused with spaces in the path? FYI, when you
set an environment variable, you don't use quotes, e.g., here's what I'm
using:

 SET EDITOR=C:\Program Files\vim-5.3\gvim.exe

I also tested it with an argument to see if it would solve Stephen's
problem (and it did!). Here's the argument test I did:

 SET EDITOR=C:\Program Files\vim-5.3\gvim.exe +7

Both of these worked.

Good luck,
Nancy
posted & mailed 

-- 
Nancy McGough
Infinite Ink
http://www.ii.com